Bug 1870 - arrow scrolling in filters
Summary: arrow scrolling in filters
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Filtering (show other bugs)
Version: 3.7.2
Hardware: PC Linux
: P3 enhancement
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2009-03-11 13:08 CET by Pierre Fortin
Modified: 2011-12-29 23:15 CET (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Fortin 2009-03-11 13:08:37 CET
Wanting to update any filter rule that had an "execute" statement in my filters, I found that it was difficult to eyeball the list of rules.  So the next obvious plan (to me :) was to select the top/bottom rule and use the arrow keys to scroll through the list while watching only the Action field.

While the arrow moves the selection (blue highlighting) to the next/previous rule, the rule is not presented/updated at the top.  For that, each rule must be mouse clicked on.

Could the highlighted rule also be the selected rule?  As it is, what is highlighted is different from what is in the rule editing fields whenever an arrow is pressed in the list.

Many thanks!!!
Comment 1 users 2011-11-20 19:49:05 CET
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.colino.net/claws-mail/

2011-11-20 [pawel]	3.7.10cvs95

	* src/prefs_actions.c
	* src/prefs_filtering.c
	* src/prefs_template.c
		Fix bug #1870 'arrow scrolling in filters'
		Allow arrow scrolling in dialogs with list view widgets
		plus couple fixes of issues I found along the way